{% extends 'store/base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block content %}
     <div class="row">
		<div class="col-lg-2"></div>
		<div class="col-lg-4">
			<div class="box-element" id="form-wrapper">
				{% if form %}
					<form id="form" method="post">
						{% csrf_token %}
						<div id="shipping-info">
							<hr>
							<p>Shipping Details:</p>
							<hr>
							<div class="form-field">
								{{ form|crispy }}
							</div>
						</div>
						<hr>
						<button id="form-button" class="btn btn-success btn-block" type="submit">Place Order</button>
					</form>
				{% endif %}
			</div>

			<br>
			<div class="box-element hidden" id="payment-info">
				<small>Paypal Options</small>
			</div>
			
		</div>

		<div class="col-lg-4">
			<div class="box-element">
				<a  class="btn btn-outline-dark" href="{% url 'display-cart' cart.id %}">&#x2190; Back to Cart</a>
				<hr>
				<h3>Order Summary</h3>
				<hr>
                {% for item in cart_items %}
                    <div class="cart-row">
                        <div style="flex:2"><img class="row-image" src="{{ item.product.imageURL }}"></div>
                        <div style="flex:2"><p>{{ item.product.product_name }}</p></div>
                        <div style="flex:1"><p>₹ {{ item.product.price }}</p></div>
                        <div style="flex:1"><p>x{{ item.product_no }}</p></div>
                    </div>
                {% endfor %}
				<h5>Items:   {{ cart.get_total_items }}</h5>
				<h5>Total:   ₹ {{ cart.get_total_amount }}</h5>
			</div>
		</div>
	</div>
{% endblock content %}